Skip to main content

Webhook POST Request

API Description

Push a message about an event to a partner's push endpoint (webhook). Refer to Configuring Webhooks for additional information.

Request

POST <partner-registered-webhook>
Path Example
POST {url} HTTP/1.1

Request Headers

NameInput
Content-Type
REQUIRED
Business-Signature
REQUIRED
Business-Timestamp
REQUIRED
Business-Webhook-Environment
REQUIRED
Example Request Headers
POST https://www.example.com/push_endpoint HTTP/1.1
Content-Type: application/json
Business-Signature: 9JQZfdnUnSMyH12o4/xPUmIv1hux2IWVrt4fdHgstPT19podD9ihPD4bIb5K2qtGCosPDDLq/J6thjv7LNE7PA==
Business-Timestamp: 1649778478749
Business-Webhook-Environment: "Production"

Request Body

Example Request Body (raw JSON)
{
"orgId": "9467895078742654994",
"id": "9467895078742654924",
"createdDate": "2026-10-10T17:32:05.00Z",
"type": "VALIDATION_FAILURE",
"feedbackUrl": "/v1/orgs/9467895078742654934/feedback?ql=id==9467895078742654900",
"resourceDetails": {
"resourceType": "LOCATION",
"resourceId": "9467895078742654976",
"etag": "5c8db178-ddd4-11ec-8a61-f78830620abb",
"state": "REJECTED"
}
}

Response

2XX or Error

Response Body

SHOULD be empty